<?php
/**
 * Template part for displaying a content located in top header.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Ogma
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

$header_top_enable = ogma_get_customizer_option_value( 'header_top_enable' );

if ( false === $header_top_enable ) {
	return;
}

$header_top_placement = apply_filters( 'ogma_header_top_placement', ogma_get_customizer_option_value( 'header_top_placement' ) );

/**
 * hook - ogma_before_top_header
 *
 * @since 1.0.0
 */
do_action( 'ogma_before_top_header' );
?>
<div id="top-header" class="top-header-wrapper">
	<div class="ogma-container ogma-flex">
		<?php
			switch ( $header_top_placement ) {
				case 'placement_one':
					// Top Menu / Date / Social Icon

					// top menu
					get_template_part( 'template-parts/partials/header/top', 'menu' );

					// date
					get_template_part( 'template-parts/partials/header/date' );

					// social icon
					if ( true === ogma_get_customizer_option_value( 'header_social_enable' ) ) {
						get_template_part( 'template-parts/partials/header/social', 'icons' );
					}
					

					break;
				
				default:
					break;
			}
		?>
	</div><!-- .ogma-container -->
</div><!-- .top-header-wrapper -->
<?php
/**
 * hook - ogma_after_top_header
 *
 * @since 1.0.0
 */
do_action( 'ogma_after_top_header' );